const oAuth2Request = require('./request');
const oAuth2CodeFlow = require('./code');
const oAuth2TokenFlow = require('./token');
const oAuth2CredentialsFlow = require('./credentials');

/**
 * Map authentication methods to a function.
 *
 * @type {Object}
 */
module.exports.code = oAuth2CodeFlow;
module.exports.token = oAuth2TokenFlow;
module.exports.credentials = oAuth2CredentialsFlow;
module.exports.request = oAuth2Request;
