'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

module.exports = {
  omit: omit,
  isObject: isObject
};

function omit(object) {
  if (!isObject(object)) {
    throw new Error('`object` param must be an object');
  }

  var result = Object.assign({}, object);

  for (var _len = arguments.length, keysToOmit = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    keysToOmit[_key - 1] = arguments[_key];
  }

  keysToOmit.forEach(function (key) {
    return delete result[key];
  });

  return result;
}

function isObject(item) {
  return item && (typeof item === 'undefined' ? 'undefined' : _typeof(item)) === 'object' && !Array.isArray(item);
}
//# sourceMappingURL=utils.js.map